RADF4(3)

SYNOPSIS
SUBROUTINE RADF4 (IDO, L1, CC, CH, WA1, WA2, WA3)

NAME
radf4 - Calculate the fast Fourier transform of subvectors of length four.

LIBRARY
SLATEC (FFTPACK)

TYPE
SINGLE PRECISION (RADF4-S)

AUTHOR
Swarztrauber, P. N., (NCAR)

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
790601 DATE WRITTEN
830401 Modified to use SLATEC library source file format.
860115 Modified by Ron Boisvert to adhere to Fortran 77 by (a) changing dummy array size declarations (1) to (*). (b) changing definition of variable HSQT2 by using FORTRAN intrinsic function SQRT instead of a DATA statement.
881128 Modified by Dick Valent to meet prologue standards.
890831 Modified array declarations. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)